Skip to content

Applies a coupon to an existing order

Request

This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The order that you would like to be saved.

additional_email_confirmation_recipientsArray of strings(Additional Email Confirmation Recipients)

Additional emails to send confirmation

additional_paymentsArray of objects, non-emptyrequired
amount_paidnumber, (double)(Amount Paid)required

Amount paid on the order

amount_pending_capturenumber, (double)(Amount Pending Capture)required

The amount that has been authorized, but not yet captured

amount_refundednumber, (double)(Amount Refunded)required

Amount refunded on the order

balance_duenumber, (double)(Balance Due)required

Balance due on the order

base_currency_codestring(Base Currency Code)
base_currency_symbolstring(Base Currency Symbol)
batch_idstring(Batch)

The batch the order should be in

bill_parent_organizationboolean(Bill Parent Organization)

If true, the parent organization is billed

bill_to_contact_idstring(Bill To Contact)required

The contact being billed

bill_to_organization_idstring(Bill To Organization)required

The organization being billed

bill_to_typestring(Bill To Type)required

The type of customer being billed

Enum:"contact""organization"
billing_addressobject(Address)

A complete address

billing_run_action_idstring(Billing Run Action)

The billing run action that created this order; we track it here only to pass it back through the billing service

billing_run_idstring(Billing Run)

If this is part of a billing run, the ID

billing_run_servicestring(Billing Run Service)

If this order was generated by a billing run, the service that initiated it

business_unit_idstring(Business Unit)

The business unit of the order

copy_shipping_info_from_billing_infoboolean(Copy Shipping Info From Billing Info)

Indicates that the shipping information was copied from the billing info. For reporting use only

couponsArray of objects
credit_usagesArray of objects

Credits to use when paying the invoices on this order

currency_codestring(Currency Code)

The order currency

Enum:"AED""AFN""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZN"
currency_symbolstring(Currency Symbol)

The currency symbol

custom_field_valuesArray of objects(Custom Field Values)
custom_metadataobject(Custom Metadata)

Custom metadata that can be used by custom order generation processes for hyper-customized order & invoice forms

datestring(Date)

The date of the order

default_merchant_account_idstring(Default Merchant Account)

The default, calculated merchant account id

discountsnumber, (double)(Discounts)required

Amount of discounts for the order

do_not_apply_open_creditsboolean(Do Not Apply Open Credits)

If set, open credits are not applied to this order

duplicate_prevention_keystring(Duplicate Prevention Key)

Temporary value used to prevent duplicate submissions

event_idstring(Event)required

The event

exchange_ratenumber, (double)(Exchange Rate)

The exchange rate, if applicable

expiration_datestring, (date-time)(Expiration Date)

The deadline after which this order is no longer valid. Used by generateOrder routines to restrict how long before this order can not longer be processes. Example: exhibitor-registration.generateOrder

failure_notice_idstring(Failure Notice)

The billing notice to run when this order succeeds; we track it here only to pass it back through the billing service

idstring(ID)^[\w|-]+$required

The unique, string identifier of this order

installment_schedule_idstring(Installment Schedule)

If this is tied to an installment schedule

invoice_terms_idstring(Invoice Terms)

The terms to be used for generating the invoice

line_itemsArray of objects, non-emptyrequired
memostring(Memo)

Additional information for the order

notesstring(Notes)

Notes on the order

numberinteger(Number)

The number of the order

override_order_dateboolean(Override Order Date)

If true, the system should override the order date

pay_for_credit_card_processing_feesboolean(Pay For Credit Card Processing Fees)

If set, this order should be charged credit card processing fees

pay_using_multiple_methodsboolean(Pay Using Multiple Methods)

If set, the order will be paid using more than one payment method

payloadobject(Payload)

Any optional order payload for processing; used by some fulfillment processes (like fundraising) to support transient objects

payment_infoobject(Payment Info)
payment_methodstring(Payment Method)

For reporting use only, the payment method of this order

Enum:"ach""cash""cashiers check""check""credit card""electronic check""money order""none""offline credit card""payroll deduction"
preview_idstring(Preview)

The caching key to use during preview

process_idstring(Process)

If a process was used to create this order, that process ID is listed here

purchase_order_numberstring(Purchase Order Number)

The customer P.O. number

send_email_confirmation_to_customerboolean(Send Email Confirmation To Customer)

Whether or not to send an email confirmation to the bill to and ship to

ship_to_contact_idstring(Ship To Contact)required

The contact being shipped to

ship_to_namestring(Ship To Name)

The addressee

ship_to_organization_idstring(Ship To Organization)required

The organization being shipped to

ship_to_typestring(Ship To Type)required

The type of customer being shipped to

Enum:"contact""organization"
shippableboolean(Shippable)

Whether or not this order needs to be shipped

shipping_addressobject(Address)

A complete address

shipping_chargesnumber, (double)(Shipping Charges)required

Shipping charges for the order

shipping_method_idstring(Shipping Method)

The ID of the shipping method for this order

shipping_method_namestring(Shipping Method Name)

The name of the shipping method for this order

shipping_method_typestring(Shipping Method Type)

The type of shipping method

Enum:"flat rate""free""pickup""ship by""ups"
shipping_zone_idstring(Shipping Zone)

The id of the shipping zone

special_instructionsstring(Special Instructions)

Any special instructions for this order

statusstring(Status)required

The order status

Enum:"awaiting payment""awaiting pickup""awaiting shipping""cancelled""completed""disputed""open""partially shipped""returned""shipped"
store_idstring(Store)required

The online store

submission_datestring, (date-time)(Submission Date)

The date and time the order was actually submitted

subtotalnumber, (double)(Subtotal)required

Order subtotal before taxes/shipping/discounts

success_notice_idstring(Success Notice)

The billing notice to run when this order succeeds; we track it here only to pass it back through the billing service

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_shippable_statusstring(Sys Shippable Status)

System property - do not use

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

taxesnumber, (double)(Taxes)required

Taxes associated with the order

totalnumber, (double)(Total)required

Total amount of the order

total_in_base_currencynumber, (double)(Total In Base Currency)required

Total amount of the order

total_weightnumber, (double)(Total Weight)

The total weight of the order

typestring(Type)

The type of order

Enum:"advertising insertion order""award application""career center""certification application""certification course registration""certification exam registration""donation form""event registration""exhibitor registration""fundraising gift"
use_pro_forma_invoicesboolean(Use Pro Forma Invoices)

Set if the invoices for the order should be pro forma

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/retroactivelyApplyCoupon/sync' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "additional_email_confirmation_recipients": [
      "string"
    ],
    "additional_payments": [
      {
        "line_item_ids": [
          "string"
        ],
        "payment_info": {
          "electronic_payment_info": {
            "card_expiration": "2019-08-24",
            "card_type": "american express",
            "merchant_account_id": "string",
            "merchant_account_tokens": [
              {
                "merchant_account_id": "string",
                "token": "string"
              }
            ],
            "payment_account": "string",
            "payment_origin": "ad hoc",
            "token": "string"
          },
          "non_electronic_payment_info": {
            "bank_account_id": "string",
            "reference_number": "string"
          },
          "type": "ach"
        }
      }
    ],
    "amount_paid": 0.1,
    "amount_pending_capture": 0.1,
    "amount_refunded": 0.1,
    "balance_due": 0.1,
    "base_currency_code": "string",
    "base_currency_symbol": "string",
    "batch_id": "string",
    "bill_parent_organization": true,
    "bill_to_contact_id": "string",
    "bill_to_organization_id": "string",
    "bill_to_type": "contact",
    "billing_address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "billing_run_action_id": "string",
    "billing_run_id": "string",
    "billing_run_service": "string",
    "business_unit_id": "string",
    "copy_shipping_info_from_billing_info": true,
    "coupons": [
      {
        "coupon_code_id": "string",
        "coupon_id": "string",
        "coupon_type": "string",
        "discount": 0.1,
        "order_line_item_ids": [
          "string"
        ],
        "retroactive_application_date": "2019-08-24T14:15:22Z"
      }
    ],
    "credit_usages": [
      {
        "amount_to_use": 0.1,
        "credit_id": "string"
      }
    ],
    "currency_code": "AED",
    "currency_symbol": "string",
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "custom_metadata": {},
    "date": "string",
    "default_merchant_account_id": "string",
    "discounts": 0.1,
    "do_not_apply_open_credits": true,
    "duplicate_prevention_key": "string",
    "event_id": "string",
    "exchange_rate": 0.1,
    "expiration_date": "2019-08-24T14:15:22Z",
    "failure_notice_id": "string",
    "id": "string",
    "installment_schedule_id": "string",
    "invoice_terms_id": "string",
    "line_items": [
      {
        "amount_paid": 0.1,
        "amount_pending_capture": 0.1,
        "amount_refunded": 0.1,
        "amount_to_pay_upon_creation": 0.1,
        "balance_due": 0.1,
        "bundled_product_1": {
          "amount": 0.1,
          "product_id": "string",
          "product_type": "string"
        },
        "bundled_product_2": {
          "amount": 0.1,
          "product_id": "string",
          "product_type": "string"
        },
        "description": "string",
        "discounts": 0.1,
        "has_inline_bundled_products": true,
        "inline_bundled_products": [
          {
            "amount": 0.1,
            "product_id": "string",
            "product_type": "string"
          }
        ],
        "installment_plan_id": "string",
        "installment_schedule_type": "based on installment plan",
        "modifier_options": [
          {
            "option_id": "string",
            "option_name": "string",
            "value": "string"
          }
        ],
        "optional": true,
        "order_line_item_id": "string",
        "override_ship_to_contact_id": "string",
        "override_ship_to_organization_id": "string",
        "override_ship_to_type": "contact",
        "parent_line_item_id": "string",
        "parent_order_line_item_id": "string",
        "payload": {},
        "payload_id": "string",
        "perpetual_installment_schedule_options": {
          "end_date": "string",
          "number_of_units": 1,
          "unit_of_time": "months"
        },
        "product_id": "string",
        "product_type": "string",
        "quantity": 0,
        "quantity_available_for_cancellation": 0,
        "quantity_available_for_return": 0,
        "quantity_cancelled": 0,
        "quantity_pending_return": 0,
        "quantity_returned": 0,
        "quantity_shipped": 0,
        "quantity_to_be_shipped": 0,
        "related_record_id": "string",
        "related_record_type": "string",
        "related_transactions": [
          {
            "amount": 0.1,
            "date": "2019-08-24T14:15:22Z",
            "transaction_id": "string",
            "transaction_line_item_id": "string",
            "transaction_number": 0.1,
            "type": "cancellation"
          }
        ],
        "shippable": true,
        "sku": "string",
        "special_instructions": "string",
        "status": "awaiting payment",
        "taxes": 0.1,
        "total": 0.1,
        "total_in_base_currency": 0.1,
        "type": "bundled product",
        "unit_price": 0.1,
        "variant_options": [
          {
            "option_id": "string",
            "option_name": "string",
            "value": "string"
          }
        ],
        "weight": 0.1
      }
    ],
    "memo": "string",
    "notes": "string",
    "number": 0,
    "override_order_date": true,
    "pay_for_credit_card_processing_fees": true,
    "pay_using_multiple_methods": true,
    "payload": {},
    "payment_info": {
      "electronic_payment_info": {
        "card_expiration": "2019-08-24",
        "card_type": "american express",
        "merchant_account_id": "string",
        "merchant_account_tokens": [
          {
            "merchant_account_id": "string",
            "token": "string"
          }
        ],
        "payment_account": "string",
        "payment_origin": "ad hoc",
        "token": "string"
      },
      "non_electronic_payment_info": {
        "bank_account_id": "string",
        "reference_number": "string"
      },
      "type": "ach"
    },
    "payment_method": "ach",
    "preview_id": "string",
    "process_id": "string",
    "purchase_order_number": "string",
    "send_email_confirmation_to_customer": true,
    "ship_to_contact_id": "string",
    "ship_to_name": "string",
    "ship_to_organization_id": "string",
    "ship_to_type": "contact",
    "shippable": true,
    "shipping_address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "shipping_charges": 0.1,
    "shipping_method_id": "string",
    "shipping_method_name": "string",
    "shipping_method_type": "flat rate",
    "shipping_zone_id": "string",
    "special_instructions": "string",
    "status": "awaiting payment",
    "store_id": "string",
    "submission_date": "2019-08-24T14:15:22Z",
    "subtotal": 0.1,
    "success_notice_id": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_shippable_status": "string",
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "taxes": 0.1,
    "total": 0.1,
    "total_in_base_currency": 0.1,
    "total_weight": 0.1,
    "type": "advertising insertion order",
    "use_pro_forma_invoices": true
  }'

Responses

The order preview was successful

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
executionArnstring(Executionarn)required

The arn of the execution

notification_channelstring(Notification Channel)

The id of the channel where progress updates will be posted

notification_publishKeystring(Notification Publishkey)

The publish key for the channel where progress updates will be posted

notification_subscribeKeystring(Notification Subscribekey)

The subscribe key for the channel where progress updates will be posted

start_datestring, (date-time)(Start Date)

The start date of the execution

Response
{ "executionArn": "string", "notification_channel": "string", "notification_publishKey": "string", "notification_subscribeKey": "string", "start_date": "2019-08-24T14:15:22Z" }